> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Webhook Endpoint

> Update an existing webhook endpoint configuration



## OpenAPI

````yaml PUT /endpoint/{endpoint_id}
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /endpoint/{endpoint_id}:
    put:
      tags:
        - Webhook
      summary: Update webhook endpoint
      description: Update an existing webhook endpoint configuration
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
          description: Webhook endpoint ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  description: New webhook URL (must be HTTPS)
                  example: https://example.com/webhook
                events:
                  type: array
                  description: New list of events to subscribe to
                  items:
                    type: string
                    enum:
                      - generated_video_success
                      - generated_video_failed
                  example:
                    - generated_video_success
                status:
                  type: string
                  enum:
                    - enabled
                    - disabled
                  description: New webhook status
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  endpoint_id:
                    type: string
                    description: Unique identifier for the webhook
                  url:
                    type: string
                    description: Webhook URL
                  secret:
                    type: string
                    description: Secret for signature verification
                  status:
                    type: string
                    description: Current webhook status
                  events:
                    type: array
                    items:
                      type: string
                    description: List of subscribed events
                  username:
                    type: string
                    description: Username
                    example: jogg@gmail.com
                  created_at:
                    type: integer
                    description: Creation timestamp
                    example: 1703894400
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````